Pytanie Czy istnieją jakiekolwiek ograniczenia dotyczące korzystania z różnych wersji oprogramowania git na tym samym fizycznym repozytorium?


Na przykład podczas pracy z komputerami, na których zainstalowano różne wersje oprogramowania git.


12
2017-09-27 10:49


pochodzenie


możliwy duplikat Kompatybilność wsteczna repozytorium Git - Simon


Odpowiedzi:


Układ repozytoriów git był bardzo stabilny w czasie, więc używanie nawet bardzo starych wersji oprogramowania z repozytoriami utworzonymi przez nowsze wersje powinno działać dobrze. Oczywiście mogą istnieć opcje konfiguracyjne ustawione przez nowsze wersje, które nie są zrozumiałe dla wcześniejszych wersji narzędzi, ale nie powinno to powodować problemów, z wyjątkiem być może, że starsze oprogramowanie nie zachowuje się tak, jak można się spodziewać.

Ponadto powinno być w porządku korzystanie z wersji narzędzi zbudowanych dla różnych systemów operacyjnych w tym samym repozytorium na dysku.

Istnieją szczególne cechy, takie jak submoduły, które mogą nie być obsługiwane przez starsze wersje git - aby móc ocenić, czy byłby to problem, gdybyś musiał powiedzieć nam, jakiej najstarszej wersji używasz.

Możesz również rzucić okiem na to pytanie o kompatybilność wsteczną gita:


6
2017-09-27 10:55